Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Interface Model.ClsID

Enclosing interface:
  Model

    public static interface Model.ClsID

System class frame ids, one for each name. These ids can never be changed.

Author:
  Ray Fergerson

Field Summary
`static FrameID` | `ANNOTATION`
`static FrameID` | `BOOLEAN`
`static FrameID` | `CLASS`
`static FrameID` | `CONSTRAINT`
`static FrameID` | `DIRECTED_BINARY_RELATION`
`static FrameID` | `FACET`
`static FrameID` | `FLOAT`
`static FrameID` | `INSTANCE_ANNOTATION`
`static FrameID` | `INTEGER`
`static FrameID` | `PAL_CONSTRAINT`
`static FrameID` | `PRIMITIVE_TYPE`
`static FrameID` | `RELATION`
`static FrameID` | `ROOT_META_CLASS`
`static FrameID` | `SLOT`
`static FrameID` | `STANDARD_CLASS`
`static FrameID` | `STANDARD_FACET`
`static FrameID` | `STANDARD_SLOT`
`static FrameID` | `STRING`
`static FrameID` | `SYMBOL`
`static FrameID` | `SYSTEM_CLASS`
`static FrameID` | `THING`

Field Detail

### THING

    static final FrameID THING

### CLASS

    static final FrameID CLASS

### STANDARD_CLASS

    static final FrameID STANDARD_CLASS

### SLOT

    static final FrameID SLOT

### STANDARD_SLOT

    static final FrameID STANDARD_SLOT

### FACET

    static final FrameID FACET

### STANDARD_FACET

    static final FrameID STANDARD_FACET

### INTEGER

    static final FrameID INTEGER

### FLOAT

    static final FrameID FLOAT

### STRING

    static final FrameID STRING

### SYMBOL

    static final FrameID SYMBOL

### BOOLEAN

    static final FrameID BOOLEAN

### PRIMITIVE_TYPE

    static final FrameID PRIMITIVE_TYPE

### SYSTEM_CLASS

    static final FrameID SYSTEM_CLASS

### CONSTRAINT

    static final FrameID CONSTRAINT

### RELATION

    static final FrameID RELATION

### PAL_CONSTRAINT

    static final FrameID PAL_CONSTRAINT

### ANNOTATION

    static final FrameID ANNOTATION

### INSTANCE_ANNOTATION

    static final FrameID INSTANCE_ANNOTATION

### DIRECTED_BINARY_RELATION

    static final FrameID DIRECTED_BINARY_RELATION

### ROOT_META_CLASS

    static final FrameID ROOT_META_CLASS

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.